Skip to main content
GET
/
cards
/
transactions
List Card Transactions
curl --request GET \
  --url https://api.meow.com/v1/cards/transactions \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "detail": "<string>",
      "amount": "<string>",
      "created_time": "2023-11-07T05:31:56Z",
      "attachments": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "file_name": "<string>",
          "url": "<string>"
        }
      ],
      "merchant": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "enriched_merchant_name": "<string>",
        "logo_url": "<string>",
        "labels": [
          "<string>"
        ],
        "website": "<string>",
        "industry": {
          "mcc": "<string>",
          "description": "<string>",
          "irs_description": "<string>"
        }
      },
      "is_missing_memo": true,
      "is_missing_receipt": true,
      "original_created_time": "2023-11-07T05:31:56Z",
      "card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cardholder_name": "<string>",
      "card_nickname": "<string>",
      "is_physical": true,
      "card_last_4": "<string>",
      "original_amount": "<string>",
      "trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_time": "2023-11-07T05:31:56Z",
      "note": "<string>",
      "cashback": {
        "dollars": "<string>",
        "percentage": "<string>"
      },
      "network_transaction_id": "<string>",
      "industry": {
        "mcc": "<string>",
        "description": "<string>",
        "irs_description": "<string>"
      },
      "failure_reason_user_friendly": "<string>",
      "hold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "credit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "release_transaction_id": "<string>",
      "hold_book_transfer_id": "<string>"
    }
  ],
  "total": 123,
  "page": {
    "limit": 10,
    "offset": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.meow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Your Meow API key for authentication

Headers

x-entity-id
string<uuid>

Optional entity ID for scoped access to entity-specific data

Query Parameters

limit
integer
default:10
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: 0 <= x <= 1000000
query
string | null
Required string length: 1 - 140
merchant_name
string | null
Required string length: 1 - 140
merchant_ids
string<uuid>[] | null
cardholder_name
string | null
Required string length: 1 - 140
cardholder_emails
string<email>[] | null
card_id
string<uuid> | null
card_ids
string<uuid>[] | null
card_nickname
string | null
Required string length: 1 - 140
card_is_physical
boolean | null
card_last_4
string | null
Required string length: 1 - 4
from_original_created_time
string<date-time> | null
to_original_created_time
string<date-time> | null
statuses
enum<string>[] | null
Available options:
APPROVED,
PENDING,
FAILED,
CLEARED,
REVERSED,
EXPIRED
is_missing_requirements
boolean | null
sort_by
enum<string>
default:ORIGINAL_CREATED_TIME
Available options:
AMOUNT,
CARDHOLDER_NAME,
IS_MISSING_REQUIREMENTS,
MERCHANT_NAME,
ORIGINAL_CREATED_TIME
is_ascending
boolean
default:false
network_transaction_id
string | null
amount_min
Required range: 0 <= x <= 1000000000
amount_max
Required range: 0 <= x <= 1000000000

Response

Successful Response

items
AwxCardTransactionBusinessResponse · object[]
required
total
integer
required
page
MeowPage · object
required